scala.sys

# SystemProperties

#### class SystemProperties extends AbstractMap[String, String] with Map[String, String]

A bidirectional map wrapping the java System properties. Changes to System properties will be immediately visible in the map, and modifications made to the map will be immediately applied to the System properties. If a security manager is in place which prevents the properties from being read or written, the AccessControlException will be caught and discarded.

Source
  SystemProperties.scala
Version

  2.9

Since

  2.9

Linear Supertypes
AbstractMap[String, String], Map[String, String], MapLike[String, String, Map[String, String]], collection.mutable.Cloneable[Map[String, String]], Cloneable, java.lang.Cloneable, Shrinkable[String], Builder[(String, String), Map[String, String]], Growable[(String, String)], Clearable, collection.mutable.Iterable[(String, String)], collection.mutable.Traversable[(String, String)], Mutable, AbstractMap[String, String], Map[String, String], MapLike[String, String, Map[String, String]], Subtractable[String, Map[String, String]], PartialFunction[String, String], (String) ⇒ String, GenMap[String, String], GenMapLike[String, String, Map[String, String]], AbstractIterable[(String, String)], collection.Iterable[(String, String)], IterableLike[(String, String), Map[String, String]], Equals, GenIterable[(String, String)], GenIterableLike[(String, String), Map[String, String]], AbstractTraversable[(String, String)], collection.Traversable[(String, String)], GenTraversable[(String, String)], GenericTraversableTemplate[(String, String), collection.mutable.Iterable], TraversableLike[(String, String), Map[String, String]], GenTraversableLike[(String, String), Map[String, String]], Parallelizable[(String, String), ParMap[String, String]], collection.TraversableOnce[(String, String)], GenTraversableOnce[(String, String)], FilterMonadic[(String, String), Map[String, String]], HasNewBuilder[(String, String), Map[String, String]], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SystemProperties
2. AbstractMap
3. Map
4. MapLike
5. Cloneable
6. Cloneable
7. Cloneable
8. Shrinkable
9. Builder
10. Growable
11. Clearable
12. Iterable
13. Traversable
14. Mutable
15. AbstractMap
16. Map
17. MapLike
18. Subtractable
19. PartialFunction
20. Function1
21. GenMap
22. GenMapLike
23. AbstractIterable
24. Iterable
25. IterableLike
26. Equals
27. GenIterable
28. GenIterableLike
29. AbstractTraversable
30. Traversable
31. GenTraversable
32. GenericTraversableTemplate
33. TraversableLike
34. GenTraversableLike
35. Parallelizable
36. TraversableOnce
37. GenTraversableOnce
38. FilterMonadic
39. HasNewBuilder
40. AnyRef
41. Any

Implicitly

1. by systemPropertiesToCompanion
2. by traversable2ops
3. by MonadOps
4. by any2stringadd
5. by any2stringfmt
6. by any2ArrowAssoc
7. by any2Ensuring
8. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SystemProperties()

### Type Members

1. #### class DefaultKeySet extends AbstractSet[A] with Set[A] with Serializable

   The implementation class of the set returned by `keySet`.

2. #### class DefaultValuesIterable extends AbstractIterable[B] with Iterable[B] with Serializable

   The implementation class of the iterable returned by `values`.

3. #### class FilteredKeys extends AbstractMap[A, B] with DefaultMap[A, B]

   Attributes
     protected
   Definition Classes
     MapLike

4. #### class MappedValues[C] extends AbstractMap[A, C] with DefaultMap[A, C]

   Attributes
     protected
   Definition Classes
     MapLike

5. #### type Self = Map[String, String]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

6. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +[B1 >: String](elem1: (String, B1), elem2: (String, B1), elems: (String, B1)*): Map[String, B1]

   Creates a new map containing two or more key/value mappings and all the key/value mappings of this map.

   Creates a new map containing two or more key/value mappings and all the key/value mappings of this map.

   Specified mappings will override existing mappings from this map with the same keys.

   B1

     the type of the added values

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     a new map containing mappings of this map and two or more specified mappings.

   Definition Classes
     MapLike → MapLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new map. Use `+=` to add an element to this map and return that map itself.

5. #### def +[B1 >: String](kv: (String, B1)): Map[String, B1]

   Creates a new map containing a new key/value mapping and all the key/value mappings of this map.

   Creates a new map containing a new key/value mapping and all the key/value mappings of this map.

   Mapping `kv` will override existing mappings from this map with the same key.

   B1

     the type of the value in the key/value pair.

   kv

     the key/value mapping to be added

   returns

     a new map containing mappings of this map and the mapping `kv`.

   Definition Classes
     MapLike → MapLike → GenMapLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new map. Use `+=` to add an element to this map and return that map itself.

6. #### def ++[B1 >: String](xs: GenTraversableOnce[(String, B1)]): Map[String, B1]

   Creates a new map containing the key/value mappings provided by the specified traversable object and all the key/value mappings of this map.

   Creates a new map containing the key/value mappings provided by the specified traversable object and all the key/value mappings of this map.

   Note that existing mappings from this map with the same key as those in `xs` will be overriden.

   B1

     the type of the added values

   xs

     the traversable object.

   returns

     a new map containing mappings of this map and those provided by `xs`.

   Definition Classes
     MapLike → MapLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `++` creates a new map. Use `++=` to add an element to this map and return that map itself.

7. #### def ++[B](that: GenTraversableOnce[B]): Shrinkable[B]

   [use case] Returns a new shrinkable collection containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new shrinkable collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the shrinkable collection is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new shrinkable collection which contains all elements of this shrinkable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: (String, String), That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[Map[String, String], B, That]): That

8. #### def ++:[B >: (String, String), That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[Map[String, String], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this shrinkable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike

9. #### def ++:[B](that: collection.TraversableOnce[B]): Shrinkable[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new shrinkable collection which contains all elements of this shrinkable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: (String, String), That](that: collection.TraversableOnce[B])(implicit bf: CanBuildFrom[Map[String, String], B, That]): That

10. #### def ++=(xs: collection.TraversableOnce[(String, String)]): SystemProperties.this.type

    adds all elements produced by a TraversableOnce to this shrinkable collection.

    adds all elements produced by a TraversableOnce to this shrinkable collection.

    xs

      the TraversableOnce producing the elements to add.

    returns

      the shrinkable collection itself.

    Definition Classes
      Growable

11. #### def +=(kv: (String, String)): SystemProperties.this.type

    Adds a new key/value pair to this map.

    Adds a new key/value pair to this map. If the map already contains a mapping for the key, it will be overridden by the new value.

    kv

      the key/value pair.

    returns

      the map itself

    Definition Classes
      SystemProperties → MapLike → Builder → Growable

12. #### def +=(elem1: (String, String), elem2: (String, String), elems: (String, String)*): SystemProperties.this.type

    adds two or more elements to this shrinkable collection.

    adds two or more elements to this shrinkable collection.

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the shrinkable collection itself

    Definition Classes
      Growable

13. #### def -(elem1: String, elem2: String, elems: String*): Map[String, String]

    Creates a new map with all the key/value mappings of this map except mappings with keys equal to any of the two or more specified keys.

    Creates a new map with all the key/value mappings of this map except mappings with keys equal to any of the two or more specified keys.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new map containing all the mappings of this map except mappings with a key equal to `elem1`, `elem2` or any of `elems`.

    Definition Classes
      MapLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new map. Use `-=` to remove an element from this map and return that map itself.

14. #### def -(key: String): Map[String, String]

    Creates a new map with all the key/value mappings of this map except the key/value mapping with the specified key.

    Creates a new map with all the key/value mappings of this map except the key/value mapping with the specified key.

    key

      the key to be removed

    returns

      a new map with all the mappings of this map except that with a key `key`.

    Definition Classes
      MapLike → MapLike → Subtractable → GenMapLike
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new map. Use `-=` to remove an element from this map and return that map itself.

15. #### def --(xs: GenTraversableOnce[String]): Map[String, String]

    Creates a new map with all the key/value mappings of this map except mappings with keys equal to any of those provided by the specified traversable object.

    Creates a new map with all the key/value mappings of this map except mappings with keys equal to any of those provided by the specified traversable object.

    xs

      the traversable object.

    returns

      a new map with all the key/value mappings of this map except mappings with a key equal to a key from `xs`.

    Definition Classes
      MapLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `--` creates a new map. Use `--=` to remove an element from this map and return that map itself.

16. #### def --=(xs: collection.TraversableOnce[String]): SystemProperties.this.type

    Removes all elements produced by an iterator from this shrinkable collection.

    Removes all elements produced by an iterator from this shrinkable collection.

    xs

      the iterator producing the elements to remove.

    returns

      the shrinkable collection itself

    Definition Classes
      Shrinkable

17. #### def -=(key: String): SystemProperties.this.type

    Removes a key from this map.

    Removes a key from this map.

    key

      the key to be removed

    returns

      the map itself.

    Definition Classes
      SystemProperties → MapLike → Shrinkable

18. #### def -=(elem1: String, elem2: String, elems: String*): SystemProperties.this.type

    Removes two or more elements from this shrinkable collection.

    Removes two or more elements from this shrinkable collection.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the shrinkable collection itself

    Definition Classes
      Shrinkable

19. #### def ->[B](y: B): (SystemProperties, B)

    Implicit information
      This member is added by an implicit conversion from SystemProperties to ArrowAssoc[SystemProperties] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

20. #### def /:[B](z: B)(op: (B, (String, String)) ⇒ B): B

    Applies a binary operator to a start value and all elements of this shrinkable collection, going left to right.

    Applies a binary operator to a start value and all elements of this shrinkable collection, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this shrinkable collection, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this shrinkable collection.

    Definition Classes
      TraversableOnce → GenTraversableOnce

21. #### def :\[B](z: B)(op: ((String, String), B) ⇒ B): B

    Applies a binary operator to all elements of this shrinkable collection and a start value, going right to left.

    Applies a binary operator to all elements of this shrinkable collection and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this shrinkable collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this shrinkable collection.

    Definition Classes
      TraversableOnce → GenTraversableOnce

22. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

24. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all bindings of this map to a string builder using start, end, and separator strings.

    Appends all bindings of this map to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations of all bindings of this map in the form of `key -> value` are separated by the string `sep`.

    b

      the builder to which strings are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      MapLike → TraversableOnce

25. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this shrinkable collection to a string builder.

    Appends all elements of this shrinkable collection to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this shrinkable collection without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

26. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this shrinkable collection to a string builder using a separator string.

    Appends all elements of this shrinkable collection to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this shrinkable collection, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

27. #### def aggregate[B](z: B)(seqop: (B, (String, String)) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

28. #### def andThen[C](k: (String) ⇒ C): PartialFunction[String, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

29. #### def apply(key: String): String

    Retrieves the value which is associated with the given key.

    Retrieves the value which is associated with the given key. This method invokes the `default` method of the map if there is no mapping from the given key to a value. Unless overridden, the `default` method throws a `NoSuchElementException`.

    key

      the key

    returns

      the value associated with the given key, or the result of the map's `default` method, if none exists.

    Definition Classes
      MapLike → GenMapLike → Function1

30. #### def applyOrElse[A1 <: String, B1 >: String](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

31. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

32. #### def asParIterable: ParIterable[(String, String)]

    Implicit information
      This member is added by an implicit conversion from SystemProperties to TraversableOps[(String, String)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

33. #### def asParSeq: ParSeq[(String, String)]

    Implicit information
      This member is added by an implicit conversion from SystemProperties to TraversableOps[(String, String)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

34. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this shrinkable collection should be compared

    returns

      `true`, if this shrinkable collection can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

35. #### def clear(): Unit

    Removes all bindings from the map.

    Removes all bindings from the map. After this operation has completed, the map will be empty.

    Definition Classes
      MapLike → Builder → Growable → Clearable

36. #### def clone(): Map[String, String]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      MapLike → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

37. #### def collect[B](pf: PartialFunction[A, B]): Shrinkable[B]

    [use case] Builds a new collection by applying a partial function to all elements of this shrinkable collection on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this shrinkable collection on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the shrinkable collection.

    returns

      a new shrinkable collection resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[(String, String), B])(implicit bf: CanBuildFrom[Map[String, String], B, That]): That

38. #### def collectFirst[B](pf: PartialFunction[(String, String), B]): Option[B]

    Finds the first element of the shrinkable collection for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the shrinkable collection for which the given partial function is defined, and applies the partial function to it.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

39. #### def companion: GenericCompanion[collection.mutable.Iterable]

    The factory companion object that builds instances of class `Shrinkable`.

    The factory companion object that builds instances of class `Shrinkable`. (or its `Iterable` superclass where class `Shrinkable` is not a `Seq`.)

    Definition Classes
      Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

40. #### def compose[A](g: (A) ⇒ String): (A) ⇒ String

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

41. #### def contains(key: String): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      SystemProperties → MapLike → GenMapLike

42. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this shrinkable collection to an array.

    [use case]

    Copies elements of this shrinkable collection to an array. Fills the given array `xs` with at most `len` elements of this shrinkable collection, starting at position `start`. Copying will stop once either the end of the current shrinkable collection is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: (String, String)](xs: Array[B], start: Int, len: Int): Unit

43. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this shrinkable collection to an array.

    [use case]

    Copies values of this shrinkable collection to an array. Fills the given array `xs` with values of this shrinkable collection. Copying will stop once either the end of the current shrinkable collection is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: (String, String)](xs: Array[B]): Unit

44. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this shrinkable collection to an array.

    [use case]

    Copies values of this shrinkable collection to an array. Fills the given array `xs` with values of this shrinkable collection, beginning at index `start`. Copying will stop once either the end of the current shrinkable collection is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: (String, String)](xs: Array[B], start: Int): Unit

45. #### def copyToBuffer[B >: (String, String)](dest: Buffer[B]): Unit

    Copies all elements of this shrinkable collection to a buffer.

    Copies all elements of this shrinkable collection to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

46. #### def count(p: ((String, String)) ⇒ Boolean): Int

    Counts the number of elements in the shrinkable collection which satisfy a predicate.

    Counts the number of elements in the shrinkable collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

47. #### def default(key: String): String

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    key

      the given key value for which a binding is missing.

    Definition Classes
      SystemProperties → MapLike → GenMapLike
    Exceptions thrown
      `NoSuchElementException`

48. #### def drop(n: Int): Map[String, String]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this shrinkable collection.

    returns

      a shrinkable collection consisting of all elements of this shrinkable collection except the first `n` ones, or else the empty shrinkable collection, if this shrinkable collection has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

49. #### def dropRight(n: Int): Map[String, String]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      The number of elements to take

    returns

      a shrinkable collection consisting of all elements of this shrinkable collection except the last `n` ones, or else the empty shrinkable collection, if this shrinkable collection has less than `n` elements.

    Definition Classes
      IterableLike

50. #### def dropWhile(p: ((String, String)) ⇒ Boolean): Map[String, String]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest suffix of this shrinkable collection whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

51. #### def empty: SystemProperties

    The empty map of the same type as this map

    The empty map of the same type as this map

    returns

      an empty map of type `This`.

    Definition Classes
      SystemProperties → Map → Map → MapLike

52. #### def ensuring(cond: (SystemProperties) ⇒ Boolean, msg: ⇒ Any): SystemProperties

    Implicit information
      This member is added by an implicit conversion from SystemProperties to Ensuring[SystemProperties] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

53. #### def ensuring(cond: (SystemProperties) ⇒ Boolean): SystemProperties

    Implicit information
      This member is added by an implicit conversion from SystemProperties to Ensuring[SystemProperties] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

54. #### def ensuring(cond: Boolean, msg: ⇒ Any): SystemProperties

    Implicit information
      This member is added by an implicit conversion from SystemProperties to Ensuring[SystemProperties] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

55. #### def ensuring(cond: Boolean): SystemProperties

    Implicit information
      This member is added by an implicit conversion from SystemProperties to Ensuring[SystemProperties] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

56. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

57. #### def equals(that: Any): Boolean

    Compares two maps structurally; i.

    Compares two maps structurally; i.e. checks if all mappings contained in this map are also contained in the other map, and vice versa.

    that

      the other map

    returns

      `true` if both maps contain exactly the same mappings, `false` otherwise.

    Definition Classes
      GenMapLike → Equals → AnyRef → Any

58. #### def exclusively[T](body: ⇒ T): T

    An unenforceable, advisory only place to do some synchronization when mutating system properties.

    An unenforceable, advisory only place to do some synchronization when mutating system properties.

    Implicit information
      This member is added by an implicit conversion from SystemProperties to SystemProperties performed by method systemPropertiesToCompanion in scala.sys.SystemProperties.
    Definition Classes
      SystemProperties

59. #### def exists(p: ((String, String)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this shrinkable collection.

    Tests whether a predicate holds for some of the elements of this shrinkable collection.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this shrinkable collection, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

60. #### def filter(p: ((String, String)) ⇒ Boolean): Map[String, String]

    Selects all elements of this shrinkable collection which satisfy a predicate.

    Selects all elements of this shrinkable collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new shrinkable collection consisting of all elements of this shrinkable collection that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

61. #### def filterKeys(p: (String) ⇒ Boolean): Map[String, String]

    Filters this map by retaining only keys satisfying a predicate.

    Filters this map by retaining only keys satisfying a predicate.

    p

      the predicate used to test keys

    returns

      an immutable map consisting only of those key value pairs of this map where the key satisfies the predicate `p`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      MapLike → GenMapLike

62. #### def filterNot(p: ((String, String)) ⇒ Boolean): Map[String, String]

    Returns a new map obtained by removing all key/value pairs for which the predicate `p` returns `true`.

    Returns a new map obtained by removing all key/value pairs for which the predicate `p` returns `true`.

    Note: This method works by successively removing elements for which the predicate is true from this set. If removal is slow, or you expect that most elements of the set will be removed, you might consider using `filter` with a negated predicate instead.

    p

      A predicate over key-value pairs

    returns

      A new map containing elements not satisfying the predicate.

    Definition Classes
      MapLike → TraversableLike → GenTraversableLike

63. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

64. #### def find(p: ((String, String)) ⇒ Boolean): Option[(String, String)]

    Finds the first element of the shrinkable collection satisfying a predicate, if any.

    Finds the first element of the shrinkable collection satisfying a predicate, if any.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the shrinkable collection that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

65. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): Shrinkable[B]

    [use case] Builds a new collection by applying a function to all elements of this shrinkable collection and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this shrinkable collection and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of shrinkable collection. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new shrinkable collection resulting from applying the given collection-valued function `f` to each element of this shrinkable collection and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: ((String, String)) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[Map[String, String], B, That]): That

66. #### def flatten[B]: Shrinkable[B]

    [use case] Converts this shrinkable collection of traversable collections into a shrinkable collection formed by the elements of these traversable collections.

    [use case]

    Converts this shrinkable collection of traversable collections into a shrinkable collection formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of shrinkable collection. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new shrinkable collection resulting from concatenating all element shrinkable collections.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: ((String, String)) ⇒ GenTraversableOnce[B]): collection.mutable.Iterable[B]

67. #### def fold[A1 >: (String, String)](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this shrinkable collection using the specified associative binary operator.

    Folds the elements of this shrinkable collection using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

68. #### def foldLeft[B](z: B)(op: (B, (String, String)) ⇒ B): B

    Applies a binary operator to a start value and all elements of this shrinkable collection, going left to right.

    Applies a binary operator to a start value and all elements of this shrinkable collection, going left to right.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this shrinkable collection, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this shrinkable collection.

    Definition Classes
      TraversableOnce → GenTraversableOnce

69. #### def foldRight[B](z: B)(op: ((String, String), B) ⇒ B): B

    Applies a binary operator to all elements of this shrinkable collection and a start value, going right to left.

    Applies a binary operator to all elements of this shrinkable collection and a start value, going right to left.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this shrinkable collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this shrinkable collection.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

70. #### def forall(p: ((String, String)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this shrinkable collection.

    Tests whether a predicate holds for all elements of this shrinkable collection.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this shrinkable collection, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

71. #### def foreach(f: ((String, String)) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this shrinkable collection.

    [use case]

    Applies a function `f` to all elements of this shrinkable collection.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: ((String, String)) ⇒ U): Unit

72. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from SystemProperties to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

73. #### def genericBuilder[B]: Builder[B, collection.mutable.Iterable[B]]

    The generic builder that builds instances of `Shrinkable` at arbitrary element types.

    The generic builder that builds instances of `Shrinkable` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

74. #### def get(key: String): Option[String]

    Optionally returns the value associated with a key.

    Optionally returns the value associated with a key.

    key

      the key value

    returns

      an option value containing the value associated with `key` in this map, or `None` if none exists.

    Definition Classes
      SystemProperties → MapLike → GenMapLike

75. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

76. #### def getOrElse(key: String, default: ⇒ String): String

    [use case] Returns the value associated with a key, or a default value if the key is not contained in the map.

    [use case]

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    key

      the key.

    default

      a computation that yields a default value in case no binding for `key` is found in the map.

    returns

      the value associated with `key` if it exists, otherwise the result of the `default` computation.

    Definition Classes
      MapLike → GenMapLike
    Full Signature

    #### def getOrElse[B1 >: String](key: String, default: ⇒ B1): B1

77. #### def getOrElseUpdate(key: String, op: ⇒ String): String

    If given key is already in this map, returns associated value.

    If given key is already in this map, returns associated value.

    Otherwise, computes value from given expression `op`, stores with key in map and returns that value.

    key

      the key to test

    op

      the computation yielding the value to associate with `key`, if `key` is previously unbound.

    returns

      the value associated with key (either previously or as a result of executing the method).

    Definition Classes
      MapLike

78. #### def groupBy[K](f: ((String, String)) ⇒ K): Map[K, Map[String, String]]

    Partitions this shrinkable collection into a map of shrinkable collections according to some discriminator function.

    Partitions this shrinkable collection into a map of shrinkable collections according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new shrinkable collection.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to shrinkable collections such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a shrinkable collection of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

79. #### def grouped(size: Int): collection.Iterator[Map[String, String]]

    Partitions elements in fixed size shrinkable collections.

    Partitions elements in fixed size shrinkable collections.

    size

      the number of elements per group

    returns

      An iterator producing shrinkable collections of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

80. #### def hasDefiniteSize: Boolean

    Tests whether this shrinkable collection is known to have a finite size.

    Tests whether this shrinkable collection is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

81. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenMapLike → AnyRef → Any

82. #### def head: (String, String)

    Selects the first element of this shrinkable collection.

    Selects the first element of this shrinkable collection.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this shrinkable collection.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the shrinkable collection is empty.

83. #### def headOption: Option[(String, String)]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this shrinkable collection if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

84. #### lazy val headless: BooleanProp

    Implicit information
      This member is added by an implicit conversion from SystemProperties to SystemProperties performed by method systemPropertiesToCompanion in scala.sys.SystemProperties.
    Definition Classes
      SystemProperties

85. #### def help(key: String): String

    Implicit information
      This member is added by an implicit conversion from SystemProperties to SystemProperties performed by method systemPropertiesToCompanion in scala.sys.SystemProperties.
    Definition Classes
      SystemProperties

86. #### def ifParSeq[R](isbody: (ParSeq[(String, String)]) ⇒ R): (TraversableOps[(String, String)])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from SystemProperties to TraversableOps[(String, String)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

87. #### def init: Map[String, String]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a shrinkable collection consisting of all elements of this shrinkable collection except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the shrinkable collection is empty.

88. #### def inits: collection.Iterator[Map[String, String]]

    Iterates over the inits of this shrinkable collection.

    Iterates over the inits of this shrinkable collection. The first value will be this shrinkable collection and the final one will be an empty shrinkable collection, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this shrinkable collection

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

89. #### def isDefinedAt(key: String): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key. This method, which implements an abstract method of trait `PartialFunction`, is equivalent to `contains`.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      MapLike → GenMapLike → PartialFunction

90. #### def isEmpty: Boolean

    Tests whether the map is empty.

    Tests whether the map is empty.

    returns

      `true` if the map does not contain any key/value binding, `false` otherwise.

    Definition Classes
      MapLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

91. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

92. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from SystemProperties to TraversableOps[(String, String)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

93. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from SystemProperties to TraversableOps[(String, String)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

94. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from SystemProperties to TraversableOps[(String, String)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

95. #### final def isTraversableAgain: Boolean

    Tests whether this shrinkable collection can be repeatedly traversed.

    Tests whether this shrinkable collection can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

96. #### def iterator: collection.Iterator[(String, String)]

    Creates a new iterator over all key/value pairs of this map

    Creates a new iterator over all key/value pairs of this map

    returns

      the new iterator

    Definition Classes
      SystemProperties → MapLike → IterableLike → GenIterableLike

97. #### def keySet: Set[String]

    Collects all keys of this map in a set.

    Collects all keys of this map in a set.

    returns

      a set containing all keys of this map.

    Definition Classes
      MapLike → GenMapLike

98. #### def keys: collection.Iterable[String]

    Collects all keys of this map in an iterable collection.

    Collects all keys of this map in an iterable collection.

    returns

      the keys of this map as an iterable.

    Definition Classes
      MapLike → GenMapLike
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `keys` returns `Iterable[A]` rather than `Iterator[A]`.

99. #### def keysIterator: collection.Iterator[String]

    Creates an iterator for all keys.

    Creates an iterator for all keys.

    returns

      an iterator over all keys.

    Definition Classes
      MapLike → GenMapLike

100. #### def last: (String, String)

     Selects the last element.

     Selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       The last element of this shrinkable collection.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       NoSuchElementException

       If the shrinkable collection is empty.

101. #### def lastOption: Option[(String, String)]

     Optionally selects the last element.

     Optionally selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the last element of this shrinkable collection$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

102. #### def lift: (String) ⇒ Option[String]

     Turns this partial function into an plain function returning an `Option` result.

     Turns this partial function into an plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

103. #### def map[B](f: (A) ⇒ B): Shrinkable[B]

     [use case] Builds a new collection by applying a function to all elements of this shrinkable collection.

     [use case]

     Builds a new collection by applying a function to all elements of this shrinkable collection.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new shrinkable collection resulting from applying the given function `f` to each element of this shrinkable collection and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: ((String, String)) ⇒ B)(implicit bf: CanBuildFrom[Map[String, String], B, That]): That

104. #### def mapResult[NewTo](f: (Map[String, String]) ⇒ NewTo): Builder[(String, String), NewTo]

     Creates a new builder by applying a transformation function to the results of this builder.

     Creates a new builder by applying a transformation function to the results of this builder.

     NewTo

       the type of collection returned by `f`.

     f

       the transformation function.

     returns

       a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

     Definition Classes
       Builder

105. #### def mapValues[C](f: (String) ⇒ C): Map[String, C]

     Transforms this map by applying a function to every retrieved value.

     Transforms this map by applying a function to every retrieved value.

     f

       the function used to transform values of this map.

     returns

       a map view which maps every key of this map to `f(this(key))`. The resulting map wraps the original map without copying any elements.

     Definition Classes
       MapLike → GenMapLike

106. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this shrinkable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: (String, String)](implicit cmp: Ordering[B]): (String, String)

107. #### def maxBy[B](f: ((String, String)) ⇒ B)(implicit cmp: Ordering[B]): (String, String)

     Definition Classes
       TraversableOnce → GenTraversableOnce

108. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this shrinkable collection

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: (String, String)](implicit cmp: Ordering[B]): (String, String)

109. #### def minBy[B](f: ((String, String)) ⇒ B)(implicit cmp: Ordering[B]): (String, String)

     Definition Classes
       TraversableOnce → GenTraversableOnce

110. #### def mkString: String

     Displays all elements of this shrinkable collection in a string.

     Displays all elements of this shrinkable collection in a string.

     returns

       a string representation of this shrinkable collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this shrinkable collection follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

111. #### def mkString(sep: String): String

     Displays all elements of this shrinkable collection in a string using a separator string.

     Displays all elements of this shrinkable collection in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this shrinkable collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this shrinkable collection are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

112. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this shrinkable collection in a string using start, end, and separator strings.

     Displays all elements of this shrinkable collection in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this shrinkable collection. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this shrinkable collection are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

113. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

114. #### def newBuilder: Builder[(String, String), Map[String, String]]

     A common implementation of `newBuilder` for all mutable maps in terms of `empty`.

     A common implementation of `newBuilder` for all mutable maps in terms of `empty`.

     Overrides `MapLike` implementation for better efficiency.

     Attributes
       protected[this]
     Definition Classes
       MapLike → MapLike → TraversableLike → HasNewBuilder

115. #### lazy val noTraceSupression: BooleanProp

     Implicit information
       This member is added by an implicit conversion from SystemProperties to SystemProperties performed by method systemPropertiesToCompanion in scala.sys.SystemProperties.
     Definition Classes
       SystemProperties

116. #### def nonEmpty: Boolean

     Tests whether the shrinkable collection is not empty.

     Tests whether the shrinkable collection is not empty.

     returns

       `true` if the shrinkable collection contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

117. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

118. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

119. #### def orElse[A1 <: String, B1 >: String](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

120. #### def par: ParMap[String, String]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

121. #### def parCombiner: Combiner[(String, String), ParMap[String, String]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       MapLike → MapLike → TraversableLike → Parallelizable

122. #### def partition(p: ((String, String)) ⇒ Boolean): (Map[String, String], Map[String, String])

     Partitions this shrinkable collection in two shrinkable collections according to a predicate.

     Partitions this shrinkable collection in two shrinkable collections according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of shrinkable collections: the first shrinkable collection consists of all elements that satisfy the predicate `p` and the second shrinkable collection consists of all elements that don't. The relative order of the elements in the resulting shrinkable collections is the same as in the original shrinkable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

123. #### lazy val preferIPv4Stack: BooleanProp

     Implicit information
       This member is added by an implicit conversion from SystemProperties to SystemProperties performed by method systemPropertiesToCompanion in scala.sys.SystemProperties.
     Definition Classes
       SystemProperties

124. #### lazy val preferIPv6Addresses: BooleanProp

     Implicit information
       This member is added by an implicit conversion from SystemProperties to SystemProperties performed by method systemPropertiesToCompanion in scala.sys.SystemProperties.
     Definition Classes
       SystemProperties

125. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this shrinkable collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the shrinkable collection and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: (String, String)](implicit num: Numeric[B]): B

126. #### def put(key: String, value: String): Option[String]

     Adds a new key/value pair to this map and optionally returns previously bound value.

     Adds a new key/value pair to this map and optionally returns previously bound value. If the map already contains a mapping for the key, it will be overridden by the new value.

     key

       the key to update

     value

       the new value

     returns

       an option value containing the value associated with the key before the `put` operation was executed, or `None` if `key` was not defined in the map before.

     Definition Classes
       MapLike

127. #### def reduce[A1 >: (String, String)](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this shrinkable collection using the specified associative binary operator.

     Reduces the elements of this shrinkable collection using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the shrinkable collection is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this shrinkable collection is empty.

128. #### def reduceLeft[B >: (String, String)](op: (B, (String, String)) ⇒ B): B

     Applies a binary operator to all elements of this shrinkable collection, going left to right.

     Applies a binary operator to all elements of this shrinkable collection, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this shrinkable collection, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this shrinkable collection.

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this shrinkable collection is empty.

129. #### def reduceLeftOption[B >: (String, String)](op: (B, (String, String)) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this shrinkable collection, going left to right.

     Optionally applies a binary operator to all elements of this shrinkable collection, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this shrinkable collection is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

130. #### def reduceOption[A1 >: (String, String)](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this shrinkable collection, if any, using the specified associative binary operator.

     Reduces the elements of this shrinkable collection, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

131. #### def reduceRight[B >: (String, String)](op: ((String, String), B) ⇒ B): B

     Applies a binary operator to all elements of this shrinkable collection, going right to left.

     Applies a binary operator to all elements of this shrinkable collection, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this shrinkable collection, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this shrinkable collection.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this shrinkable collection is empty.

132. #### def reduceRightOption[B >: (String, String)](op: ((String, String), B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this shrinkable collection, going right to left.

     Optionally applies a binary operator to all elements of this shrinkable collection, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this shrinkable collection is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

133. #### def remove(key: String): Option[String]

     Removes a key from this map, returning the value associated previously with that key as an option.

     Removes a key from this map, returning the value associated previously with that key as an option.

     key

       the key to be removed

     returns

       an option value containing the value associated previously with `key`, or `None` if `key` was not defined in the map before.

     Definition Classes
       MapLike

134. #### def repr: Map[String, String]

     The collection of type shrinkable collection underlying this `TraversableLike` object.

     The collection of type shrinkable collection underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

135. #### def result(): Map[String, String]

     The result when this map is used as a builder

     The result when this map is used as a builder

     returns

       the map representation itself.

     Definition Classes
       MapLike → Builder

136. #### def retain(p: (String, String) ⇒ Boolean): SystemProperties.this.type

     Retains only those mappings for which the predicate `p` returns `true`.

     Retains only those mappings for which the predicate `p` returns `true`.

     p

       The test predicate

     Definition Classes
       MapLike

137. #### def reversed: List[(String, String)]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

138. #### def runWith[U](action: (String) ⇒ U): (String) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

139. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this shrinkable collection.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this shrinkable collection.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: (String, String)](that: GenIterable[B]): Boolean

140. #### def scan[B >: (String, String), That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[Map[String, String], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new shrinkable collection containing the prefix scan of the elements in this shrinkable collection

     Definition Classes
       TraversableLike → GenTraversableLike

141. #### def scanLeft[B, That](z: B)(op: (B, (String, String)) ⇒ B)(implicit bf: CanBuildFrom[Map[String, String], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

142. #### def scanRight[B, That](z: B)(op: ((String, String), B) ⇒ B)(implicit bf: CanBuildFrom[Map[String, String], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

143. #### def seq: Map[String, String]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Map → Map → GenMap → GenMapLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

144. #### def size: Int

     The size of this shrinkable collection.

     The size of this shrinkable collection.

     returns

       the number of elements in this shrinkable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

145. #### def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

146. #### def sizeHint(coll: TraversableLike[_, _]): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     Definition Classes
       Builder

147. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

148. #### def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

149. #### def slice(from: Int, until: Int): Map[String, String]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a shrinkable collection containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this shrinkable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

150. #### def sliding(size: Int, step: Int): collection.Iterator[Map[String, String]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing shrinkable collections of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

151. #### def sliding(size: Int): collection.Iterator[Map[String, String]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing shrinkable collections of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

152. #### def span(p: ((String, String)) ⇒ Boolean): (Map[String, String], Map[String, String])

     Splits this shrinkable collection into a prefix/suffix pair according to a predicate.

     Splits this shrinkable collection into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a pair consisting of the longest prefix of this shrinkable collection whose elements all satisfy `p`, and the rest of this shrinkable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

153. #### def splitAt(n: Int): (Map[String, String], Map[String, String])

     Splits this shrinkable collection into two at a given position.

     Splits this shrinkable collection into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of shrinkable collections consisting of the first `n` elements of this shrinkable collection, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

154. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this shrinkable collection. Unless overridden in subclasses, the string prefix of every map is `"Map"`.

     Definition Classes
       MapLike → TraversableLike → GenTraversableLike

155. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this shrinkable collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the shrinkable collection and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: (String, String)](implicit num: Numeric[B]): B

156. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

157. #### implicit def systemPropertiesToCompanion(p: SystemProperties): SystemProperties.type

     Implicit information
       This member is added by an implicit conversion from SystemProperties to SystemProperties performed by method systemPropertiesToCompanion in scala.sys.SystemProperties.
     Definition Classes
       SystemProperties

158. #### def tail: Map[String, String]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a shrinkable collection consisting of all elements of this shrinkable collection except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the shrinkable collection is empty.

159. #### def tails: collection.Iterator[Map[String, String]]

     Iterates over the tails of this shrinkable collection.

     Iterates over the tails of this shrinkable collection. The first value will be this shrinkable collection and the final one will be an empty shrinkable collection, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this shrinkable collection

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

160. #### def take(n: Int): Map[String, String]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this shrinkable collection.

     returns

       a shrinkable collection consisting only of the first `n` elements of this shrinkable collection, or else the whole shrinkable collection, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

161. #### def takeRight(n: Int): Map[String, String]

     Selects last n elements.

     Selects last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take

     returns

       a shrinkable collection consisting only of the last `n` elements of this shrinkable collection, or else the whole shrinkable collection, if it has less than `n` elements.

     Definition Classes
       IterableLike

162. #### def takeWhile(p: ((String, String)) ⇒ Boolean): Map[String, String]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the longest prefix of this shrinkable collection whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

163. #### def thisCollection: collection.Iterable[(String, String)]

     The underlying collection seen as an instance of ``Shrinkable``.

     The underlying collection seen as an instance of ``Shrinkable``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

164. #### def to[Col[_]]: Col[A]

     [use case] Converts this shrinkable collection into another by copying all elements.

     [use case]

     Converts this shrinkable collection into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this shrinkable collection.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, (String, String), Col[(String, String)]]): Col[(String, String)]

165. #### def toArray: Array[A]

     [use case] Converts this shrinkable collection to an array.

     [use case]

     Converts this shrinkable collection to an array.

     returns

       an array containing all elements of this shrinkable collection. An `ClassTag` must be available for the element type of this shrinkable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: (String, String)](implicit arg0: ClassTag[B]): Array[B]

166. #### def toBuffer[C >: (String, String)]: Buffer[C]

     Converts this shrinkable collection to a mutable buffer.

     Converts this shrinkable collection to a mutable buffer.

     returns

       a buffer containing all elements of this shrinkable collection.

     Definition Classes
       MapLike → TraversableOnce → GenTraversableOnce

167. #### def toCollection(repr: Map[String, String]): collection.Iterable[(String, String)]

     A conversion from collections of type `Repr` to ``Shrinkable`` objects.

     A conversion from collections of type `Repr` to ``Shrinkable`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

168. #### def toIndexedSeq: collection.immutable.IndexedSeq[(String, String)]

     Converts this shrinkable collection to an indexed sequence.

     Converts this shrinkable collection to an indexed sequence.

     returns

       an indexed sequence containing all elements of this shrinkable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

169. #### def toIterable: collection.Iterable[(String, String)]

     Converts this shrinkable collection to an iterable collection.

     Converts this shrinkable collection to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this shrinkable collection.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

170. #### def toIterator: collection.Iterator[(String, String)]

     Returns an Iterator over the elements in this shrinkable collection.

     Returns an Iterator over the elements in this shrinkable collection. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this shrinkable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

171. #### def toList: List[(String, String)]

     Converts this shrinkable collection to a list.

     Converts this shrinkable collection to a list.

     returns

       a list containing all elements of this shrinkable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

172. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this shrinkable collection to a map.

     [use case]

     Converts this shrinkable collection to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this shrinkable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[(String, String), (T, U)]): Map[T, U]

173. #### def toParArray: ParArray[(String, String)]

     Implicit information
       This member is added by an implicit conversion from SystemProperties to TraversableOps[(String, String)] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

174. #### def toSeq: collection.Seq[(String, String)]

     Converts this shrinkable collection to a sequence.

     Converts this shrinkable collection to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     returns

       a sequence containing all elements of this shrinkable collection.

     Definition Classes
       MapLike → TraversableOnce → GenTraversableOnce

175. #### def toSet[B >: (String, String)]: Set[B]

     Converts this shrinkable collection to a set.

     Converts this shrinkable collection to a set.

     returns

       a set containing all elements of this shrinkable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

176. #### def toStream: collection.immutable.Stream[(String, String)]

     Converts this shrinkable collection to a stream.

     Converts this shrinkable collection to a stream.

     returns

       a stream containing all elements of this shrinkable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

177. #### def toString(): String

     Converts this shrinkable collection to a string.

     Converts this shrinkable collection to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this shrinkable collection, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       MapLike → TraversableLike → Function1 → AnyRef → Any

178. #### def toTraversable: collection.Traversable[(String, String)]

     Converts this shrinkable collection to an unspecified Traversable.

     Converts this shrinkable collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this shrinkable collection.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

179. #### def toVector: Vector[(String, String)]

     Converts this shrinkable collection to a Vector.

     Converts this shrinkable collection to a Vector.

     returns

       a vector containing all elements of this shrinkable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

180. #### def transform(f: (String, String) ⇒ String): SystemProperties.this.type

     Applies a transformation function to all values contained in this map.

     Applies a transformation function to all values contained in this map. The transformation function produces new values from existing keys associated values.

     f

       the transformation to apply

     returns

       the map itself.

     Definition Classes
       MapLike

181. #### def transpose[B](implicit asTraversable: ((String, String)) ⇒ GenTraversableOnce[B]): collection.mutable.Iterable[collection.mutable.Iterable[B]]

     Transposes this shrinkable collection of traversable collections into a shrinkable collection of shrinkable collections.

     Transposes this shrinkable collection of traversable collections into a shrinkable collection of shrinkable collections.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this shrinkable collection is a `Traversable`.

     returns

       a two-dimensional shrinkable collection of shrinkable collections which has as nth row the nth column of this shrinkable collection.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this shrinkable collection are not of the same size.

182. #### def unzip[A1, A2](implicit asPair: ((String, String)) ⇒ (A1, A2)): (collection.mutable.Iterable[A1], collection.mutable.Iterable[A2])

     Converts this shrinkable collection of pairs into two collections of the first and second half of each pair.

     Converts this shrinkable collection of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this shrinkable collection is a pair.

     returns

       a pair shrinkable collections, containing the first, respectively second half of each element pair of this shrinkable collection.

     Definition Classes
       GenericTraversableTemplate

183. #### def unzip3[A1, A2, A3](implicit asTriple: ((String, String)) ⇒ (A1, A2, A3)): (collection.mutable.Iterable[A1], collection.mutable.Iterable[A2], collection.mutable.Iterable[A3])

     Converts this shrinkable collection of triples into three collections of the first, second, and third element of each triple.

     Converts this shrinkable collection of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this shrinkable collection is a triple.

     returns

       a triple shrinkable collections, containing the first, second, respectively third member of each element triple of this shrinkable collection.

     Definition Classes
       GenericTraversableTemplate

184. #### def update(key: String, value: String): Unit

     Adds a new key/value pair to this map.

     Adds a new key/value pair to this map. If the map already contains a mapping for the key, it will be overridden by the new value.

     key

       The key to update

     value

       The new value

     Definition Classes
       MapLike

185. #### def updated[B1 >: String](key: String, value: B1): Map[String, B1]

     Creates a new map consisting of all key/value pairs of the current map plus a new pair of a given key and value.

     Creates a new map consisting of all key/value pairs of the current map plus a new pair of a given key and value.

     B1

       the type of the added value

     key

       The key to add

     value

       The new value

     returns

       A fresh immutable map with the binding from `key` to `value` added to this map.

     Definition Classes
       MapLike → MapLike

186. #### def values: collection.Iterable[String]

     Collects all values of this map in an iterable collection.

     Collects all values of this map in an iterable collection.

     returns

       the values of this map as an iterable.

     Definition Classes
       MapLike → GenMapLike
     Annotations
       @migration
     Migration

       (Changed in version 2.8.0) `values` returns `Iterable[B]` rather than `Iterator[B]`.

187. #### def valuesIterator: collection.Iterator[String]

     Creates an iterator for all values in this map.

     Creates an iterator for all values in this map.

     returns

       an iterator over all values that are associated with some key in this map.

     Definition Classes
       MapLike → GenMapLike

188. #### def view(from: Int, until: Int): IterableView[(String, String), Map[String, String]]

     Creates a non-strict view of a slice of this shrinkable collection.

     Creates a non-strict view of a slice of this shrinkable collection.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current shrinkable collection, whereas `slice` produces a new shrinkable collection.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this shrinkable collection, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableLike → TraversableLike

189. #### def view: IterableView[(String, String), Map[String, String]]

     Creates a non-strict view of this shrinkable collection.

     Creates a non-strict view of this shrinkable collection.

     returns

       a non-strict view of this shrinkable collection.

     Definition Classes
       IterableLike → TraversableLike

190. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

191. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

192. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

193. #### def withDefault(d: (String) ⇒ String): Map[String, String]

     The same map with a given default function.

     The same map with a given default function.

     Invoking transformer methods (e.g. `map`) will not preserve the default value.

     d

       the function mapping keys to values, used for non-present keys

     returns

       a wrapper of the map with a default value

     Definition Classes
       Map

194. #### def withDefaultValue(d: String): Map[String, String]

     The same map with a given default value.

     The same map with a given default value.

     Invoking transformer methods (e.g. `map`) will not preserve the default value.

     d

       the function mapping keys to values, used for non-present keys

     returns

       a wrapper of the map with a default value

     Definition Classes
       Map

195. #### def withFilter(p: ((String, String)) ⇒ Boolean): FilterMonadic[(String, String), Map[String, String]]

     Creates a non-strict filter of this shrinkable collection.

     Creates a non-strict filter of this shrinkable collection.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this shrinkable collection which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

196. #### def wrapAccess[T](body: ⇒ T): Option[T]

197. #### def zip[B](that: GenIterable[B]): Shrinkable[(A, B)]

     [use case] Returns a shrinkable collection formed from this shrinkable collection and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a shrinkable collection formed from this shrinkable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new shrinkable collection containing pairs consisting of corresponding elements of this shrinkable collection and `that`. The length of the returned collection is the minimum of the lengths of this shrinkable collection and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: (String, String), B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[Map[String, String], (A1, B), That]): That

198. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): Shrinkable[(A, B)]

     [use case] Returns a shrinkable collection formed from this shrinkable collection and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a shrinkable collection formed from this shrinkable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this shrinkable collection is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this shrinkable collection.

     returns

       a new shrinkable collection containing pairs consisting of corresponding elements of this shrinkable collection and `that`. The length of the returned collection is the maximum of the lengths of this shrinkable collection and `that`. If this shrinkable collection is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this shrinkable collection, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: (String, String), That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[Map[String, String], (A1, B), That]): That

199. #### def zipWithIndex: Shrinkable[(A, Int)]

     [use case] Zips this shrinkable collection with its indices.

     [use case]

     Zips this shrinkable collection with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new shrinkable collection containing pairs consisting of all elements of this shrinkable collection paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: (String, String), That](implicit bf: CanBuildFrom[Map[String, String], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

200. #### def →[B](y: B): (SystemProperties, B)

     Implicit information
       This member is added by an implicit conversion from SystemProperties to ArrowAssoc[SystemProperties] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implict Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SystemProperties to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (systemProperties: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### def filter(p: ((String, String)) ⇒ Boolean): collection.TraversableOnce[(String, String)]

   Implicit information
     This member is added by an implicit conversion from SystemProperties to MonadOps[(String, String)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (systemProperties: MonadOps[(String, String)]).filter(p)

   Definition Classes
     MonadOps

3. #### def flatMap[B](f: ((String, String)) ⇒ GenTraversableOnce[B]): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from SystemProperties to MonadOps[(String, String)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (systemProperties: MonadOps[(String, String)]).flatMap(f)

   Definition Classes
     MonadOps

4. #### def map[B](f: ((String, String)) ⇒ B): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from SystemProperties to MonadOps[(String, String)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (systemProperties: MonadOps[(String, String)]).map(f)

   Definition Classes
     MonadOps

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SystemProperties to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (systemProperties: StringAdd).self

   Definition Classes
     StringAdd

6. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SystemProperties to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (systemProperties: StringFormat).self

   Definition Classes
     StringFormat

7. #### def withFilter(p: ((String, String)) ⇒ Boolean): collection.Iterator[(String, String)]

   Implicit information
     This member is added by an implicit conversion from SystemProperties to MonadOps[(String, String)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (systemProperties: MonadOps[(String, String)]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: (String, String)](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: SystemProperties

   Implicit information
     This member is added by an implicit conversion from SystemProperties to ArrowAssoc[SystemProperties] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (systemProperties: ArrowAssoc[SystemProperties]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: SystemProperties

   Implicit information
     This member is added by an implicit conversion from SystemProperties to Ensuring[SystemProperties] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (systemProperties: Ensuring[SystemProperties]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from AbstractMap[String, String]

### Inherited from Map[String, String]

### Inherited from MapLike[String, String, Map[String, String]]

### Inherited from collection.mutable.Cloneable[Map[String, String]]

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[String]

### Inherited from Builder[(String, String), Map[String, String]]

### Inherited from Growable[(String, String)]

### Inherited from Clearable

### Inherited from collection.mutable.Iterable[(String, String)]

### Inherited from collection.mutable.Traversable[(String, String)]

### Inherited from Mutable

### Inherited from AbstractMap[String, String]

### Inherited from Map[String, String]

### Inherited from MapLike[String, String, Map[String, String]]

### Inherited from Subtractable[String, Map[String, String]]

### Inherited from PartialFunction[String, String]

### Inherited from (String) ⇒ String

### Inherited from GenMap[String, String]

### Inherited from GenMapLike[String, String, Map[String, String]]

### Inherited from AbstractIterable[(String, String)]

### Inherited from collection.Iterable[(String, String)]

### Inherited from IterableLike[(String, String), Map[String, String]]

### Inherited from Equals

### Inherited from GenIterable[(String, String)]

### Inherited from GenIterableLike[(String, String), Map[String, String]]

### Inherited from AbstractTraversable[(String, String)]

### Inherited from collection.Traversable[(String, String)]

### Inherited from GenTraversable[(String, String)]

### Inherited from GenericTraversableTemplate[(String, String), collection.mutable.Iterable]

### Inherited from TraversableLike[(String, String), Map[String, String]]

### Inherited from GenTraversableLike[(String, String), Map[String, String]]

### Inherited from Parallelizable[(String, String), ParMap[String, String]]

### Inherited from collection.TraversableOnce[(String, String)]

### Inherited from GenTraversableOnce[(String, String)]

### Inherited from FilterMonadic[(String, String), Map[String, String]]

### Inherited from HasNewBuilder[(String, String), Map[String, String]]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion systemPropertiesToCompanion from SystemProperties to SystemProperties

### Inherited by implicit conversion traversable2ops from SystemProperties to TraversableOps[(String, String)]

### Inherited by implicit conversion MonadOps from SystemProperties to MonadOps[(String, String)]

### Inherited by implicit conversion any2stringadd from SystemProperties to StringAdd

### Inherited by implicit conversion any2stringfmt from SystemProperties to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from SystemProperties to ArrowAssoc[SystemProperties]

### Inherited by implicit conversion any2Ensuring from SystemProperties to Ensuring[SystemProperties]

### Inherited by implicit conversion alternateImplicit from SystemProperties to ForceImplicitAmbiguity

### Ungrouped